OpenTTD Source: PcxHeader Struct Reference

OpenTTD Source 15.3

Data Fields
PcxHeader Struct Reference

Definition of a PCX file header. More...

## Data Fields
uint8_t | manufacturer
uint8_t | version
uint8_t | rle
uint8_t | bpp
uint32_t | unused
uint16_t | xmax
uint16_t | ymax
uint16_t | hdpi
uint16_t | vdpi
uint8_t | pal_small [16 *3]
uint8_t | reserved
uint8_t | planes
uint16_t | pitch
uint16_t | cpal
uint16_t | width
uint16_t | height
uint8_t | filler [54]

## Detailed Description

Definition of a PCX file header.

Definition at line 21 of file screenshot_pcx.cpp.

## Field Documentation

## ◆ bpp

uint8_t PcxHeader::bpp

Definition at line 25 of file screenshot_pcx.cpp.

## ◆ cpal

uint16_t PcxHeader::cpal

Definition at line 33 of file screenshot_pcx.cpp.

## ◆ filler

uint8_t PcxHeader::filler[54]

Definition at line 36 of file screenshot_pcx.cpp.

## ◆ hdpi

uint16_t PcxHeader::hdpi

Definition at line 28 of file screenshot_pcx.cpp.

## ◆ height

uint16_t PcxHeader::height

Definition at line 35 of file screenshot_pcx.cpp.

## ◆ manufacturer

uint8_t PcxHeader::manufacturer

Definition at line 22 of file screenshot_pcx.cpp.

## ◆ pal_small

uint8_t PcxHeader::pal_small[16 *3]

Definition at line 29 of file screenshot_pcx.cpp.

## ◆ pitch

uint16_t PcxHeader::pitch

Definition at line 32 of file screenshot_pcx.cpp.

## ◆ planes

uint8_t PcxHeader::planes

Definition at line 31 of file screenshot_pcx.cpp.

## ◆ reserved

uint8_t PcxHeader::reserved

Definition at line 30 of file screenshot_pcx.cpp.

## ◆ rle

uint8_t PcxHeader::rle

Definition at line 24 of file screenshot_pcx.cpp.

## ◆ unused

uint32_t PcxHeader::unused

Definition at line 26 of file screenshot_pcx.cpp.

## ◆ vdpi

uint16_t PcxHeader::vdpi

Definition at line 28 of file screenshot_pcx.cpp.

## ◆ version

uint8_t PcxHeader::version

Definition at line 23 of file screenshot_pcx.cpp.

## ◆ width

uint16_t PcxHeader::width

Definition at line 34 of file screenshot_pcx.cpp.

## ◆ xmax

uint16_t PcxHeader::xmax

Definition at line 27 of file screenshot_pcx.cpp.

## ◆ ymax

uint16_t PcxHeader::ymax

Definition at line 27 of file screenshot_pcx.cpp.

The documentation for this struct was generated from the following file:

- src/screenshot_pcx.cpp